#include <SpecTypes.h>
#include <Utils/Utils.h>
#include <Globals.h>
#include <FieldInfo.h>
#include <cassert>
#include <cstdint>

void FieldInfo::FieldInfoParser(field_info &p, JavaClassFormat &jc)
{
	p.access_flags = Utils::ReadFromStartIntoVal<uint16_t>(Globals::buffer());
	
	p.name_index = Utils::ReadFromStartIntoVal<uint16_t>(Globals::buffer());
	p.descriptor_index = Utils::ReadFromStartIntoVal<uint16_t>(Globals::buffer());
	p.attributes_count = Utils::ReadFromStartIntoVal<uint16_t>(Globals::buffer());

	// FIXME: Implement attributes[]

	jc.fields.push_back(p);
}